/* BOOTSTRAP */
@font-face {
    font-family: "e-ukraine";
    font-style: normal;
    src: url("/style/fonts/e-Ukraine/e-Ukraine-Light.woff") format("woff");
    font-weight: 300
}

@font-face {
    font-family: "e-ukraine";
    font-style: normal;
    src: url("/style/fonts/e-Ukraine/e-Ukraine-Regular.woff") format("woff");
    font-weight: 400
}

@font-face {
    font-family: "e-ukraine";
    font-style: normal;
    src: url("/style/fonts/e-Ukraine/e-Ukraine-Medium.woff") format("woff");
    font-weight: 500
}

@font-face {
    font-family: "e-ukraine-heading";
    font-style: normal;
    src: url("/style/fonts/e-Ukraine/e-UkraineHead-Regular.woff") format("woff");
    font-weight: 400
}

html {
    min-height: 100vh
}

body {
    min-height: 100vh;
    overflow: auto;
    overflow-x: hidden;
    font-family: "e-ukraine";
    font-weight: 400;
    background: #F5F5F5;
    color: #000
}

* {
    font-family: "e-ukraine";
}

textarea {
    resize: none; 
}

.input-error {
    box-shadow: 0 0 5px darkred;
    margin-bottom: 10px;
}

a:hover {
    text-decoration: none; 
}

a {
    text-decoration: none; 
}

::-webkit-scrollbar-button {
    background-image: url('');
    background-repeat: no-repeat;
    width: 0px;
    height: 0px; 
}

::-webkit-scrollbar-track {
    background: white;
}

::-webkit-scrollbar-thumb {
    border-radius: 0px;
    background: #2674fc;
}

::-webkit-scrollbar-thumb:hover {
    background: #2674fc;
}

::-webkit-resizer {
    background-image: url('');
    background-repeat: no-repeat;
    width: 3px;
    height: 0px; 
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.btn-primary:not(:disabled):not(.disabled):active:focus, 
.btn-primary:not(:disabled):not(.disabled).active:focus, 
.show > .btn-primary.dropdown-toggle:focus,
.btn-primary:focus, .btn-primary.focus {
    box-shadow: none;
} 

.btn {
    padding: 0.5rem 0.75rem; 
    border-radius: 1.25em;; 
}

.navbar-brand {
    font-size: 1.75rem; 
    font-weight: 500; 
}

.mh-2 {
    min-height: 2em; 
    overflow: hidden; 
} 
.mh-3 {
    min-height: 3em; 
    overflow: hidden; 
}

.bs-tooltip-right {
    left: 5px !important; 
}

.bs-tooltip-left {
    right: 5px !important; 
}

.modal-lg {
    max-width: 1024px; 
}


/* MODAL FADE LEFT RIGHT BOTTOM */
.modal.fade:not(.in).left .modal-dialog {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    min-width: 320px; 
}

@media (max-width: 425px) {
    .modal.fade:not(.in).left .modal-dialog {
        min-width: 100%; 
    }  
}
.modal.fade:not(.in).right .modal-dialog {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}
.modal.fade:not(.in).bottom .modal-dialog {
    -webkit-transform: translate3d(0, 25%, 0);
    transform: translate3d(0, 25%, 0);
}

.button-scrool-top {
    position: fixed; 
    bottom: 2em; 
    right: 2em; 
}

.button-close-sidebar {
    position: absolute; 
    left: 25px; 
    top: 7px; 
}

.modal.right .modal-dialog {
    position:absolute;
    top:0;
    right:0;
    margin:0;
}

.modal.left .modal-dialog {
    position:absolute;
    top:0;
    left:0;
    margin:0;
}

.modal.left .modal-dialog.modal-sm {
    max-width:300px;
}

.modal.left .modal-content, .modal.right .modal-content {
    min-height:100vh;
    border:0;
}
.bs-tooltip-bottom {
    top: 5px !important; 
}

.card-title {
    color: black; 
}

.card-title:hover {
    text-decoration: none; 
}

.alert {
    background-color: #fff !important;
}

.tooltip-inner {
    background-color: #1240ab;
}

.tooltip.bs-tooltip-right .arrow:before {
    border-right-color: #1240ab !important;
}

.tooltip.bs-tooltip-left .arrow:before {
    border-left-color: #1240ab !important;
}

.tooltip.bs-tooltip-bottom .arrow:before {
    border-bottom-color: #1240ab !important;
}

.tooltip.bs-tooltip-top .arrow:before {
    border-top-color: #1240ab !important;
}

.badge-outline-primary {
    border: 1px solid #1240ab; 
}
.dropdown-menu {
    padding: 15px; 
    width: calc(100% - 30px); 
} 

main {
    min-height: calc(100vh - 156px);
    overflow-x: hidden; 
}

/* END BOOTSTRAP */
p {
    font-size: 1.15em; 
}

.mobile-menu i {
    font-size: 20px; 
}

.logo-icon {
    transform: scale(-1, 1); position: relative; left: 0.2em;
}

.card-icons {
    position: absolute; 
    width: 100%; 
}

/* PRODUCT CARD */ 


.product_card-title {
    max-height: 1.25em;
    overflow: hidden; 
}

.category_card-title {
    min-height: 2.5em;
    overflow: hidden; 
}

.product-card:hover {
    box-shadow: 0 0 25px gray; 
    transition: .25s; 
} 

.country-icon {
    max-height: 40px; 
    border-radius: 10px; 
    display: inline-block; 
}

/* PRODUCT CARD end*/ 

.breadcrumb li { 
    padding: 0 5px; 
}


.divider-wrapper {
    display: flex;
    flex-direction: row;
    text-transform: uppercase;
    border: none;
    font-size: 12px;
    font-weight: 400;
    margin: 0;
    margin-bottom: 20px;
    padding: 24px 0 0;
    align-items: center;
    justify-content: center;
    width: 100%;
    vertical-align: baseline
}

.divider-wrapper:before,.divider-wrapper:after {
    content: "";
    border-bottom: 1px solid #c2c8d0;
    flex: 1 0 auto;
    height: .5em;
    margin: 0
}

.divider {
    text-align: center;
    flex: .2 0 auto;
    margin: 0;
    height: 12px
}

#modal-sidebar .modal-dialog {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    max-width: 300px;
    width: 100%;
    margin: 0;
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
    z-index: 1055;
}

#modal-sidebar.modal.show .modal-dialog {
    transform: translateX(0);
}

#modal-sidebar .modal-content {
    height: 100%;
    border: none;
    border-radius: 0;
}

#modal-sidebar .modal-body {
    overflow-y: auto;
}

.text-gradient {
    background: linear-gradient(135deg, #6a11cb, #2575fc);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.btn-gradient {
    background: linear-gradient(135deg, #6a11cb, #2575fc);
    color: white;
    font-size: 1rem;
    font-weight: bold;
    padding: 10px 20px;
    border: none;
    border-radius: 30px;
    transition: all 0.3s ease;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.btn-gradient:hover {
    background: linear-gradient(135deg, #5a0fb0, #1c5edb);
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3);
    color:white;
}

.btn-gradient:active {
    box-shadow: 0 3px 7px rgba(0, 0, 0, 0.2);
}

.bg-gradient {
    background: linear-gradient(135deg, #6a11cb, #2575fc) !important;
    color: white !important;
}

.accordion-button.bg-gradient::after {
    font-family: 'Font Awesome 6 Free'; /* Актуальний шрифт Font Awesome */
    content: '\f107'; /* Код стрілки вниз */
    font-weight: 900; 
    color: #fff;
    display: inline-block;
    position: absolute;
    right: 1.25rem; /* Задає відступ від правого краю */
    top: 50%;
    transform: translateY(-50%);
}
.accordion-button.bg-gradient:not(.collapsed)::after {
    transform: translateY(-50%) rotate(180deg);
}

.block-gradient {
    width: 510px;
    height: 510px;
    background: linear-gradient(135deg, #6a11cb, #2575fc);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 18rem;
    font-weight: bold;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.btn-light {
    color: #3958ee!important;
}

.step {
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.step:hover {
    transform: translateY(-10px);
}

.step h3 {
    font-size: 18px;
    margin-bottom: 10px;
}

.step p {
    font-size: 14px;
}